<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/shape_rect_top_radius_white_5"
    android:orientation="vertical">

    <TextView
        android:id="@+id/tv_table_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="@dimen/dp_10"
        android:gravity="center"
        android:textSize="@dimen/dp_18"
        android:textColor="@color/theme_black"
        android:textStyle="bold"
        android:text=""/>

    <LinearLayout
        android:id="@+id/cl_time"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_10"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <androidx.appcompat.widget.AppCompatCheckBox
            android:id="@+id/cb_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:checked="false"
            android:text="截單時間: "
            android:textColor="@color/theme_black"
            android:textSize="@dimen/sp_14" />

        <TextView
            android:id="@+id/tv_meal_hours"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_20"
            android:drawableRight="@drawable/qmui_popup_arrow_down"
            android:drawablePadding="@dimen/dp_10"
            android:drawableTint="@color/theme_hint_color"
            android:gravity="center"
            android:paddingStart="@dimen/dp_10"
            android:text=""
            android:textColor="@color/theme_text_color"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/cb_title" />

        <TextView
            android:id="@+id/tv_split"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginEnd="@dimen/dp_20"
            android:text=":"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/tv_meal_hours" />

        <TextView
            android:id="@+id/tv_meal_minute"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawableRight="@drawable/qmui_popup_arrow_down"
            android:drawablePadding="@dimen/dp_10"
            android:drawableTint="@color/theme_hint_color"
            android:gravity="center"
            android:paddingStart="@dimen/dp_10"
            android:paddingEnd="@dimen/dp_10"
            android:text=""
            android:textColor="@color/theme_text_color"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/tv_split" />
    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:id="@+id/ll_food_group"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/ll_meals"
            android:orientation="vertical">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_summary"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_100"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                app:layout_constraintTop_toBottomOf="@+id/cb_title" />

            <LinearLayout
                android:id="@+id/ll_food_group_point"
                android:layout_width="wrap_content"
                android:layout_height="@dimen/dp_5"
                android:layout_gravity="center"
                android:orientation="horizontal"
                android:visibility="invisible" />
        </LinearLayout>

        <com.qmuiteam.qmui.widget.QMUIEmptyView
            android:id="@+id/emptyView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fitsSystemWindows="true" />

        <ProgressBar
            android:id="@+id/progress"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:visibility="invisible"/>
    </FrameLayout>

    <include layout="@layout/table_input_skyorder_people_number" />
</LinearLayout>